#!/bin/bash
[ -e /etc/eole/config.eol ] && . /usr/bin/ParseDico
. /usr/share/eole/FonctionsEoleNg
. /etc/eole/containers.conf

NAME=$1
NET=$2
ROOTLXC=/var/lib/lxc
ROOTFS=$ROOTLXC/$NAME/rootfs

[ "$NAME" = "" ] && EchoRouge "Pas d'option" && exit 1
if [ ! -d $ROOTFS/etc/ssl ]; then
    mkdir -p $ROOTFS/etc/ssl/
fi

cp -a /etc/ssl/* $ROOTFS/etc/ssl/
cp -a /sbin/restart-wrapper $ROOTFS/sbin/restart-wrapper

if [ ! "$container_ip_dns" = "" ]; then
    echo "nameserver $container_ip_dns" > $ROOTFS/etc/resolv.conf
    [ ! "$nom_domaine_local" = "" ] && echo "search $nom_domaine_local" >> $ROOTFS/etc/resolv.conf
else
    cp -f /etc/resolv.conf $ROOTFS/etc/resolv.conf
fi

cp -f /etc/timezone $ROOTFS/etc/
cp -f /etc/localtime $ROOTFS/etc/

mkdir -p $ROOTFS/etc/eole
cp -f /etc/eole/network_containers.conf $ROOTFS/etc/eole

exit 0
